## org.biojava.bio.symbol
Class SimpleGeneticCodeTable

    java.lang.Object
      org.biojava.bio.symbol.AbstractManyToOneTranslationTable
          org.biojava.bio.symbol.SimpleManyToOneTranslationTable
              org.biojava.bio.symbol.SimpleGeneticCodeTable

All Implemented Interfaces:
  Serializable, ManyToOneTranslationTable, TranslationTable

    public class SimpleGeneticCodeTable

extends SimpleManyToOneTranslationTable

A genetic code translation table representing a translation table in the DDBJ/EMBL/GenBank Feature Table (appendix V).

Since:
  1.5
Author:
  gwaldon
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.biojava.bio.symbol.TranslationTable
`ALT_YEAST_NUC, ASCID_MITO, BACTERIAL, BLEPH_MNUC, CHLORO_MITO, CILIATE_NUC, ECHIN_MITO, EUPL_NUC, FWORM_MITO, INVERT_MITO, MOLD_MITO, SCENE_MITO, TREMA_MITO, UNIVERSAL, VERT_MITO, YEAST_MITO`

Constructor Summary
`SimpleGeneticCodeTable(FiniteAlphabet source, FiniteAlphabet target)` Creates a new instance of SimpleGeneticCodeTable

Method Summary
`String` `getDescription()`
`int` `getTableNumber()`
`void` `setDescription(String description)`
`void` `setTableNumber(int num)`
`Symbol` `translate(Symbol sym)` Translate a single symbol from source alphabet to the target alphabet.

Methods inherited from class org.biojava.bio.symbol.SimpleManyToOneTranslationTable
`doTranslate, doUntranslate, getSourceAlphabet, getTargetAlphabet, setTranslation`

Methods inherited from class org.biojava.bio.symbol.AbstractManyToOneTranslationTable
`untranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.bio.symbol.TranslationTable
`translate`

Constructor Detail

### SimpleGeneticCodeTable

    public SimpleGeneticCodeTable(FiniteAlphabet source,
                                  FiniteAlphabet target)

  Creates a new instance of SimpleGeneticCodeTable

Method Detail

### setTableNumber

    public void setTableNumber(int num)

### getTableNumber

    public int getTableNumber()

  Returns:
    the value for the feature qualifier table_num found in the DDBJ/EMBL/GenBank Feature Table. The associated feature key is CDS.

### setDescription

    public void setDescription(String description)

### getDescription

    public String getDescription()

  Returns:
    A string descripting this table, normally the one found in the DDBJ/EMBL/GenBank Feature Table.

### translate

    public Symbol translate(Symbol sym)
                     throws IllegalSymbolException

  Description copied from interface: `TranslationTable`
  Translate a single symbol from source alphabet to the target alphabet.

  Specified by:
    `translate` in interface `TranslationTable`
  Parameters:
    `sym` - the Symbol to translate (member of source alphabet)
  Returns:
    the translated version of sym (member of target alphabet)
  Throws:
    `IllegalSymbolException` - if sym is not a member of the source alphabet